ccm: XCcm_Coefs Struct Reference

| ccm Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCcm_Coefs Struct Reference
Ccm_v6_1

This typedef contains matrix coefficients of Color Correction Matrix(CCM) core which can be accessed for setting coefficients by using XCcm_SetCoefMatrix and for getting coefficient values by using XCcm_GetCoefMatrix. More...

## Data Fields
float | K11
| Matrix Coefficient. More...
float | K12
| Matrix Coefficient. More...
float | K13
| Matrix Coefficient. More...
float | K21
| Matrix Coefficient. More...
float | K22
| Matrix Coefficient. More...
float | K23
| Matrix Coefficient. More...
float | K31
| Matrix Coefficient. More...
float | K32
| Matrix Coefficient. More...
float | K33
| Matrix Coefficient. More...

## Detailed Description

This typedef contains matrix coefficients of Color Correction Matrix(CCM) core which can be accessed for setting coefficients by using XCcm_SetCoefMatrix and for getting coefficient values by using XCcm_GetCoefMatrix.

## Field Documentation

float XCcm_Coefs::K11

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K12

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K13

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K21

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K22

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K23

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K31

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K32

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().

float XCcm_Coefs::K33

Matrix Coefficient.

Referenced by XCcm_GetCoefMatrix(), and XCcm_SetCoefMatrix().